#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "globals.h"
#include "tocdata.h"
#include "readtoc.h"


int gdrdao_read_toc_header(gchar* _file, struct gdrdao_toceditor* _use) {
	FILE *f;
	char buf[8192]; /* 8k text buffer should be enough for 1 line... */
	if(_file==NULL||_use==NULL) return 1;
	
	f=fopen(_file,"r");
	if(f==NULL) return 1;

	do {
		if(fgets(buf,8192,f)==NULL) return 1;
		if(strncmp(buf,"CATALOG",7)==0) {
			strncpy(_use->catalog,&buf[9],13);
			continue;
		};
		if(strcmp(buf,"CD_DA")==0) {
			_use->disktype=CDDA; continue;
		};
		if(strcmp(buf,"CD_ROM")==0) {
			_use->disktype=CDROM; continue;
		};
		if(strcmp(buf,"CD_ROM_XA")==0) {
			_use->disktype=CDROMXA; continue;
		};
		if(strncmp(buf,"TRACK",5)==0) break;
	} while(1);
	fclose(f);
	return 0;
};

