#ifndef GDRDAO_WIDGETS_H__
#define GDRDAO_WIDGETS_H__

#define TOCEDIT_TRACKSELECT "tocedit_track"
#define TOCEDIT_TRACKTYPE "tocedit_tracktype"
#define TOCEDIT_PREGAP_MINUTES "tocedit_pregap_minutes"
#define TOCEDIT_PREGAP_SECONDS "tocedit_pregap_seconds"
#define TOCEDIT_PREGAP_FRAMES "tocedit_pregap_frames"
#define TOCEDIT_PREGAP_TOTAL "tocedit_pregap_total"
#define TOCEDIT_SILENCE_MINUTES "tocedit_silence_minutes"
#define TOCEDIT_SILENCE_SECONDS "tocedit_silence_seconds"
#define TOCEDIT_SILENCE_FRAMES "tocedit_silence_frames"
#define TOCEDIT_SILENCE_TOTAL "tocedit_silence_total"
#define TOCEDIT_START_MINUTES "tocedit_start_minutes"
#define TOCEDIT_START_SECONDS "tocedit_start_seconds"
#define TOCEDIT_START_FRAMES "tocedit_start_frames"
#define TOCEDIT_START_TOTAL "tocedit_start_total"
#define TOCEDIT_END_MINUTES "tocedit_end_minutes"
#define TOCEDIT_END_SECONDS "tocedit_end_seconds"
#define TOCEDIT_END_FRAMES "tocedit_end_frames"
#define TOCEDIT_END_TOTAL "tocedit_end_total"
#define TOCEDIT_PREEMPH "tocedit_trackopt_preemph"
#define TOCEDIT_COPY "tocedit_trackopt_copy"
#define TOCEDIT_ISRC "tocedit_isrc"
#define TOCEDIT_STATS "tocedit_stats"
#define TOCEDIT_COMMENT "tocedit_comment"

#define TOCEDIT_TOCFILE "gdrdao_tocfile"

#define TOCEDIT_DISKOPT_CATALOG "tocedit_diskopt_catalog"
#define TOCEDIT_DISKOPT_CDDA "tocedit_diskopt_cdda"
#define TOCEDIT_DISKOPT_CDROM "tocedit_diskopt_cdrom"
#define TOCEDIT_DISKOPT_CDROMXA "tocedit_diskopt_cdromxa"
#define TOCEDIT_TEXTG_MAP1 "tocedit_textg_map1"
#define TOCEDIT_TEXTG_MAP2 "tocedit_textg_map2"
#define TOCEDIT_TEXTG_MAP3 "tocedit_textg_map3"
#define TOCEDIT_TEXTG_MAP4 "tocedit_textg_map4"
#define TOCEDIT_TEXTG_MAP5 "tocedit_textg_map5"
#define TOCEDIT_TEXTG_MAP6 "tocedit_textg_map6"
#define TOCEDIT_TEXTG_MAP7 "tocedit_textg_map7"
#define TOCEDIT_TEXTG_MAP8 "tocedit_textg_map8"
#define TOCEDIT_TEXTG_LANGUAGE "tocedit_textg_language"
#define TOCEDIT_TEXTG_TITLE "tocedit_textg_title"
#define TOCEDIT_TEXTG_ISRC "tocedit_textg_isrc"
#define TOCEDIT_TEXTG_PERFORMER "tocedit_textg_performer"
#define TOCEDIT_TEXTG_MESSAGE "tocedit_textg_message"
#define TOCEDIT_TEXTG_SONGWRITER "tocedit_textg_songwriter"
#define TOCEDIT_TEXTG_ARRANGER "tocedit_textg_arranger"
#define TOCEDIT_TEXTG_COMPOSER "tocedit_textg_composer"
#define TOCEDIT_TEXTG_STATS "tocedit_textg_stats"

#define TOCEDIT_TEXT_TRACK "tocedit_text_track"
#define TOCEDIT_TEXT_MAP1 "tocedit_text_map1"
#define TOCEDIT_TEXT_MAP2 "tocedit_text_map2"
#define TOCEDIT_TEXT_MAP3 "tocedit_text_map3"
#define TOCEDIT_TEXT_MAP4 "tocedit_text_map4"
#define TOCEDIT_TEXT_MAP5 "tocedit_text_map5"
#define TOCEDIT_TEXT_MAP6 "tocedit_text_map6"
#define TOCEDIT_TEXT_MAP7 "tocedit_text_map7"
#define TOCEDIT_TEXT_MAP8 "tocedit_text_map8"
#define TOCEDIT_TEXT_TITLE "tocedit_text_title"
#define TOCEDIT_TEXT_ISRC "tocedit_text_isrc"
#define TOCEDIT_TEXT_PERFORMER "tocedit_text_performer"
#define TOCEDIT_TEXT_MESSAGE "tocedit_text_message"
#define TOCEDIT_TEXT_SONGWRITER "tocedit_text_songwriter"
#define TOCEDIT_TEXT_ARRANGER "tocedit_text_arranger"
#define TOCEDIT_TEXT_COMPOSER "tocedit_text_composer"
#define TOCEDIT_TEXT_STATS "tocedit_text_stats"


#define TOCEDIT_FILESELECT "tocedit_fileselect"
#define TOCEDIT_UPBUTTON "tocedit_button_up"
#define TOCEDIT_DOWNBUTTON "tocedit_button_down"
#define TOCEDIT_ADDBUTTON "tocedit_button_add"
#define TOCEDIT_REMOVEBUTTON "tocedit_button_remove"
#define TOCEDIT_CLEARBUTTON "tocedit_button_clear"
#define TOCEDIT_CHANGEBUTTON "tocedit_button_change"
#define TOCEDIT_DIRBUTTON "tocedit_button_directory"
#define TOCEDIT_EDITOR "tocedit_edit"


#define TOCEDITPG_UPBUTTON "tocedit_pg_up"
#define TOCEDITPG_DOWNBUTTON "tocedit_pg_down"
#define TOCEDITPG_ADDBUTTON "tocedit_pg_add"
#define TOCEDITPG_REMOVEBUTTON "tocedit_pg_remove"
#define TOCEDITPG_CHANGEBUTTON "tocedit_pg_change"
#define TOCEDITPG_TRACKSELECT "tocedit_pg_track"
#define TOCEDITPG_FILESELECT "tocedit_pg_fileselect"
#define TOCEDITPG_START_MINUTES "tocedit_pg_startmin"
#define TOCEDITPG_START_SECONDS "tocedit_pg_startsec"
#define TOCEDITPG_START_FRAMES "tocedit_pg_startfrm"
#define TOCEDITPG_START_TOTAL "tocedit_pg_starttotal"
#define TOCEDITPG_END_MINUTES "tocedit_pg_endmin"
#define TOCEDITPG_END_SECONDS "tocedit_pg_endsec"
#define TOCEDITPG_END_FRAMES "tocedit_pg_endfrm"
#define TOCEDITPG_END_TOTAL "tocedit_pg_endtotal"
#define TOCEDITPG_SILENCE_MINUTES "tocedit_pg_silencemin"
#define TOCEDITPG_SILENCE_SECONDS "tocedit_pg_silencesec"
#define TOCEDITPG_SILENCE_FRAMES "tocedit_pg_silencefrm"
#define TOCEDITPG_SILENCE_TOTAL "tocedit_pg_silencetotal"
#define TOCEDITPG_EDITOR "tocedit_pg_edit"

#define GDRDAO_DLG_FILESELECT "dlg_fileselect"
#define GDRDAO_DLG_FILESELECT_OK "dlg_fileselect_ok_button"
#define GDRDAO_DLG_FILESELECT_CANCEL "dlg_fileselect_cancel_button"
#define GDRDAO_DLG_WARNEXITTOCSAVE "dlg_warn_exittocsave"
#define GDRDAO_DLG_WARNTOCNOTSAVED "dlg_warn_tocnotsaved"

#define GDRDAO_MSGERR_FILECREATE "msg_err_filecreate"


#endif
